features:
  secondary:
    - name: "Project import and exports are faster and more reliable"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/settings/import_export.html'
      reporter: joshlambert
      stage: enablement
      categories:
        - "Importers"
      issue_url: 'https://gitlab.com/gitlab-com/www-gitlab-com/issues/4951'
      description: |
        GitLab 12.8 includes significant improvements to how projects are imported and exported, resulting in much faster execution times and improved reliability.

        Project exports are now four times faster to complete, with 80% reduction in memory footprint. Previously, large projects could fail to export due to exceeding the memory limitations of the export job. With the reduced footprint, these jobs are now much more likely to succeed.

        Project imports are approximately 50% faster, due to a significant reduction in database calls. In the future, we plan to reduce the memory required for imports, by switching to [newline-delimited JSON](https://gitlab.com/gitlab-org/gitlab/issues/197171).
